/**********************************************************************
 
	Copyright (C) 2003 Hirohisa MORI <joshua@nichibun.ac.jp>
 
	This program is free software; you can redistribute it 
	and/or modify it under the terms of the GLOBALBASE 
	Library General Public License (G-LGPL) as published by 

	http://www.globalbase.org/
 
	This program is distributed in the hope that it will be 
	useful, but WITHOUT ANY WARRANTY; without even the 
	implied warranty of MERCHANTABILITY or FITNESS FOR A 
	PARTICULAR PURPOSE.

**********************************************************************/



#include	"utils.h"
#include	"v.h"
char* copy_mstr(char *);

int fontsize = 12;

void
v_get_font(
	VFONT *		vf,
	VDISPLAY * 	d,
	char * 		fontname)
{
	if ( fontname == 0 )
		goto none;
	if ( memcmp(fontname,"jisx",4) == 0 ) {
		vf->fontname = copy_str("Japanese");
		vf->id = VF_ID_JAPANESE;
		return;
	}
	if ( memcmp(fontname,"latin-1",7) == 0 ) {
		vf->fontname = copy_str("Roman");
		vf->id = VF_ID_ROMAN;
		return;
	}
none:
	vf->fontname = 0;
	return;
}
